/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pkdexer.cs
Lines of code: 94
***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles 
{
	[CorpseName( "a pk dexer corpse " )]
	public class pkdexer : BaseCreature
	{
	
		public override bool ClickTitle{ get{ return false; } }

	
		[Constructable]
		public pkdexer() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.049, 0.059 )
		{
		
				
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "PEEKAY";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			switch ( Utility.Random( 4 ))
			{
			case 0: new Horse().Rider = this; break;
			case 1: new EtherealSwampDragon().Rider = this; break;
			case 2: new EtherealKirin().Rider = this; break;
			case 3: new Nightmare().Rider = this; break;
			}
			
			
			
			
			SetDamage( 33, 47 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Fire, 20 );
			SetDamageType( ResistanceType.Cold, 20 );
			SetDamageType( ResistanceType.Poison, 20 );
			SetDamageType( ResistanceType.Energy, 20 );

			SetResistance( ResistanceType.Physical, 70 );
			SetResistance( ResistanceType.Fire, 70);
			SetResistance( ResistanceType.Cold, 70 );
			SetResistance( ResistanceType.Poison, 70 );
			SetResistance( ResistanceType.Energy, 70  );

			
			SetStr( 90, 100 );
			SetDex( 60, 125 );
			SetInt( 25, 50 );

	        SetHits( 99, 150 );
			SetMana( 35, 100 );			
			
			
			SetSkill( SkillName.MagicResist, 100, 120 );
			SetSkill( SkillName.Focus, 100, 120 );
			SetSkill( SkillName.Swords, 100, 120 );
			SetSkill( SkillName.Tactics, 110, 120 );
			SetSkill( SkillName.Anatomy, 100, 120 );		


			Fame = 0;
			Karma = 0;
			
			
			

			AddItem( new Robe(Utility.RandomNeutralHue()) );
			AddItem( new Cloak(Utility.RandomNeutralHue()) );
			

OrnamentOfThePKer brace = new OrnamentOfThePKer();
brace.Movable = false;
AddItem(brace);

			
SwordOfTheStampede wep1 = new SwordOfTheStampede() ;
AxeOfTheHeavens wep2 = new AxeOfTheHeavens() ;
BladeOfInsanity wep3 = new BladeOfInsanity() ;

wep1.Movable = false;
wep2.Movable = false;
wep3.Movable = false;	

	
switch (Utility.Random( 3 ))
{
case 0:AddItem(wep1);break;
case 1:AddItem(wep2);break;
case 2:AddItem(wep3);break;
}



			PackItem( new Bandage( 90 ) );


			Utility.AssignRandomHair( this );
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 	}


		public override void GenerateLoot()
		{
		AddLoot( LootPack.Rich );
		}

		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override bool CanRummageCorpses{ get{ return true; } }				

		public pkdexer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
